/* BEGIN STYLESHEET */
/* Direct stylesheet authoring is an advanced feature. Knowledge of CSS required.*/
:root {
  --recipe-list-label-color: #94a3b8;
  --gradient: 
    linear-gradient(
      180deg,
      rgba(35, 49, 67, 0) 46%,
      rgba(35, 49, 67, 0.2) 100%
    ),
    rgba(0, 132, 172, 1);
  --brand-color: #0084AC;
  --button-color: oklch(60.9% 0.126 221.723);
}

html, body {
	font-family: sans-serif
}
.psc-recipe-list-label {
	color: var(--recipe-list-label-color);
	font-weight: 400;
	font-size: 0.75rem;
}

.psc-recipe-list-edit-entry {
	max-height: 1.5rem;
}

.t-selected {
	border: none;
}

.psc-tab-header {
  font-size: 1.25rem;       /* text-xl = 1.25rem */
  line-height: 1.75rem;     /* Tailwind's text-xl line-height */
  color: #ffffff;           /* text-white */
  font-weight: 700;         /* font-bold */

  border-top-left-radius: 1.5rem;  /* rounded-t-3xl */
  border-top-right-radius: 1.5rem; 
  padding: 0.5rem 1rem;            /* p-4 */

  height: 3rem;
  background: linear-gradient(
      180deg,
      rgba(35, 49, 67, 0) 46%,
      rgba(35, 49, 67, 0.20) 100%
    ),
    rgba(0, 132, 172, 1);
}

.psc-container {
  border-radius: 1.5rem; /* rounded-3xl */
  background-color: #ffffff; /* bg-white */
}

.ia_tableComponent__filterContainer {
  background-color: transparent !important;
}

.ia_tableComponent, .ia_tabContainerComponent__content {
  border: none;
}

.tab-menu-item[data-index="0"] {
  border-left: none;
}

.psc-nav-menu-item {
  cursor: pointer;
  color: white;
  padding: 8px;
  border-radius: 8px;
}

.psc-nav-menu-item-active {
  background-color: white;
  color: var(--brand-color);
}

.psc-text-input {
  border-radius: 8px;
}

.ia_button--primary {
  border-radius: 0.5rem;
  overflow: visible;
  color: #ffffff;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 0px;
  background-color: var(--button-color);
  cursor: pointer;
  transition: background-color 0.2s ease, color 0.2s ease;
}

.ia_table__cell {
  padding: 0px 4px;
}

.ia_button--primary:enabled:hover {
  box-shadow:none;
}

.ia_dropdown--active, .ia_dropdown--focused {
  outline: none;
}

.ia_button--primary--disabled {
  color: #9ca3af;
  background-color: #d1d5db;
  cursor: not-allowed;
  pointer-events: none;
}

.psc-button-spacing {
  padding: 0rem 0.5rem;
}

.psc-text-label {
  color: #6b7280;   /* Tailwind gray-500 */
  font-size: 0.875rem; /* Tailwind text-sm = 14px */
  line-height: 1.25rem; /* Tailwind text-sm line-height = 20px */
}

@keyframes spin {
  to {
    transform: rotate(1turn);
  }
}
.psc-animate-spin {
  animation: spin 1s linear infinite;
}


/* BEGIN STYLE CLASSES */
.psc-navBarIcons {
}
